1.0.0OAS 3.0

Manages calendars and their events. Consumers must create a calendar before adding events. Events may be all-day (no times) or time-bound. The billing profile is a subscription with no limits.

API Base URL
  • Server 1:https://api.rest.rodeo/calendar/api/v1

    Production

Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

/calendars

Lists every calendar.

get
https://api.rest.rodeo/calendar/api/v1/calendars

Response

application/json

All calendars

CalendarsList

* Additional properties are NOT allowed.
calendarsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/calendars
 
application/json

/calendars

Creates a calendar.

post
https://api.rest.rodeo/calendar/api/v1/calendars

Body

application/json

CalendarRequest

* Additional properties are NOT allowed.
namestringrequired

The calendar name.

>= 1 characters<= 256 characters

Response

application/json

The created calendar

Calendar

* Additional properties are NOT allowed.
idstring(uuid)required

The calendar id.

namestringrequired

The calendar name.

<= 256 characters

post/calendars

Body

{ "name": "Work" }
 
application/json